Sisimai::Reason::EmailTooLarge(3pm)

NAME
Sisimai::Reason::EmailTooLarge - Bounce reason is "emailtoolarge" or not.

SYNOPSIS
    use Sisimai::Reason::EmailTooLarge;
    print Sisimai::Reason::EmailTooLarge->match('400 Message too big');   # 1

DESCRIPTION
"Sisimai::Reason::EmailTooLarge" checks the bounce reason is "emailtoolarge" or not. This class is called only "Sisimai::Reason" class.

This is the error that the sent email size is too big for the destination mail server. In many case, There are many attachment files with the email, or the file size is too large. Sisimai will set "emailtoolarge" to the reason of the email bounce if the value of "Status:" field in the bounce email is 5.2.3 or 5.3.4.

    Action: failed
    Status: 553 Exceeded maximum inbound message size

CLASS METHODS

  "text()"
text() method returns the fixed string "emailtoolarge".

    print Sisimai::Reason::EmailTooLarge->text;  # emailtoolarge

  "match(string)"
match() method returns 1 if the argument matched with patterns defined in this class.

    print Sisimai::Reason::EmailTooLarge->match('400 Message too big');   # 1

  "true(Sisimai::Fact)"
true() method returns 1 if the bounce reason is "emailtoolarge". The argument must be "Sisimai::Fact" object and this method is called only from "Sisimai::Reason" class.

AUTHOR
azumakuniyuki

COPYRIGHT
Copyright (C) 2014-2018,2020,2021,2024-2026 azumakuniyuki, All rights reserved.

LICENSE
This software is distributed under The BSD 2-Clause License.